com.hazelcast.org.snakeyaml.engine.v1.nodes

## Class MappingNode

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.nodes.Node
  - - com.hazelcast.org.snakeyaml.engine.v1.nodes.CollectionNode<NodeTuple>
    - - com.hazelcast.org.snakeyaml.engine.v1.nodes.MappingNode

-     public class MappingNode
      extends CollectionNode<NodeTuple>

  Represents a map.

  A map is a collection of unsorted key-value pairs.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.org.snakeyaml.engine.v1.nodes.Node

      `endMark, resolved`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingNode(Tag tag, boolean resolved, List<NodeTuple> value, FlowStyle flowStyle, Optional<Mark> startMark, Optional<Mark> endMark)`
    `MappingNode(Tag tag, List<NodeTuple> value, FlowStyle flowStyle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<NodeTuple>` | `getMapping()`
    `NodeType` | `getNodeType()`
    `List<NodeTuple>` | `getValue()` Returns the entries of this map.
    `boolean` | `isMerged()`
    `void` | `setMerged(boolean merged)`
    `void` | `setValue(List<NodeTuple> mergedValue)`
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.nodes.CollectionNode

      `getFlowStyle, setEndMark, setFlowStyle`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.nodes.Node

      `equals, getConstruct, getEndMark, getStartMark, getTag, hashCode, isRecursive, setConstruct, setRecursive, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingNode

          public MappingNode(Tag tag,
                             boolean resolved,
                             List<NodeTuple> value,
                             FlowStyle flowStyle,
                             Optional<Mark> startMark,
                             Optional<Mark> endMark)

    - #### MappingNode

          public MappingNode(Tag tag,
                             List<NodeTuple> value,
                             FlowStyle flowStyle)

  - ### Method Detail

    - #### getNodeType

          public NodeType getNodeType()

      Specified by:
        `getNodeType` in class `Node`
      Returns:
        scalar, sequence, mapping

    - #### getValue

          public List<NodeTuple> getValue()

      Returns the entries of this map.
      Specified by:
        `getValue` in class `CollectionNode<NodeTuple>`
      Returns:
        List of entries.

    - #### getMapping

          public List<NodeTuple> getMapping()

    - #### setValue

          public void setValue(List<NodeTuple> mergedValue)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setMerged

          public void setMerged(boolean merged)

      Parameters:
        `merged` - - true if map contains merge node

    - #### isMerged

          public boolean isMerged()

      Returns:
        true if map contains merge node

Copyright © 2019. All rights reserved.